Package com.sun.speech.freetts

# Interface FreeTTSSpeakable

All Known Implementing Classes:
  `FreeTTSSpeakableImpl`, `FreeTTSSynthesizerQueueItem`

public interface FreeTTSSpeakable
Represents something that should be spoken.

## Method Summary

Modifier and Type
Method
Description
`void`
`cancelled()`
Indicates that this speakable has been cancelled.
`void`
`completed()`
Indicates that this speakable has been completed.
`Document`
`getDocument()`
Gets the DOM document for this object.
`InputStream`
`getInputStream()`
Gets the input stream
`String`
`getText()`
Returns the text corresponding to this Playable.
`boolean`
`isCompleted()`
Returns `true` if this queue item has been processed.
`boolean`
`isDocument()`
Returns `true` if the item is a JSML document (Java Speech Markup Language).
`boolean`
`isPlainText()`
Returns `true` if the item contains plain text (not Java Speech Markup Language text).
`boolean`
`isStream()`
Returns `true` if the item is an input stream.
`void`
`started()`
Indicates that this speakable has been started.
`boolean`
`waitCompleted()`
Waits for this speakable item to be completed.

## Method Details

### started

void started()
Indicates that this speakable has been started.

### completed

void completed()
Indicates that this speakable has been completed.

### cancelled

void cancelled()
Indicates that this speakable has been cancelled.

### isCompleted

boolean isCompleted()
Returns `true` if this queue item has been processed.

Returns:
  true if it has been processed

### waitCompleted

boolean waitCompleted()
Waits for this speakable item to be completed.

Returns:
  true if the item was completed successfully, false if the speakable was cancelled or an error occurred.

### isPlainText

boolean isPlainText()
Returns `true` if the item contains plain text (not Java Speech Markup Language text).

Returns:
  true if the item contains plain text

### isStream

boolean isStream()
Returns `true` if the item is an input stream.

Returns:
  true if the item is an input stream

### isDocument

boolean isDocument()
Returns `true` if the item is a JSML document (Java Speech Markup Language).

Returns:
  true if the item is a document

### getText

String getText()
Returns the text corresponding to this Playable.

Returns:
  the Playable text

### getDocument

Document getDocument()
Gets the DOM document for this object.

Returns:
  the DOM document for this object

### getInputStream

InputStream getInputStream()
Gets the input stream

Returns:
  the input stream